BURGERSPACE(6)

NAME
burgerspace - A hamburger-smashing video game

SYNOPSIS
burgerspace

DESCRIPTION

BurgerSpace is a game where you are a chef and you must walk over hamburger ingredients (buns, meat, lettuce, tomatoes, cheese) to make them fall from floor to floor, until they end up in the plates at the bottom of the screen. Use the arrow keys to move the chef.

However, you must do this while avoiding terrible enemies, such as eggs, sausages and pickles. You will die if they touch you, but you can spray pepper on them with the Control key to paralyze them temporarily.

Use those pepper shots sparingly because you only have a limited number of them. Pick up the treat that appears from time to time to obtain a new pepper shot.

A two-player game is possible using the (experimental) networked version of BurgerSpace. See the burgerspace-server(6) manual page or the BurgerSpace Home Page for details.

Use the Escape key to quit the program. To pause the game (which is only possible in stand-alone mode), use the P key to pause the game and to resume it afterwards.

GENERAL OPTIONS

--help
    display a help page and exit

--version
    display version information and exit

--no-sound
    Disable the sound effects, which are enabled by default.

--full-screen
    Attempt to use the full screen mode. The default is to display the game in an ordinary window.

--z-for-pepper
    Use the Z key instead of the Control key to shoot pepper.

STAND-ALONE OPTIONS

--hide-landed-enemies
    Since BurgerSpace 1.9.5, when an enemy gets carried down on a slice and has landed, it is shown as frozen until it revives, instead of disappearing until it revives. To restore the old disappearing behavior, pass this option.

--initial-level=N
    start game at level N. Default is 1. N must be at least 1.

--ms-per-frame=N
    N milliseconds per animation frame. Default is 55. Minimum is 1. Maximum is 1000. 50 means 20 frames per second.

--no-active-event
    Do not pause when the window becomes inactive. This option keeps the game from processing SDL's SDL_ACTIVEEVENT, which the game receives when the window loses the focus. Without this option, the game automatically pauses while the window does not have the focus or is iconified, which avoids using the CPU during that time. This automatic pausing is useful to save energy on battery-operated devices.

NETWORK CLIENT OPTIONS

--server=HOSTNAME
    Start as a client that connects to a BurgerSpace server running on the given host or IP address. Examples: --server=localhost, --server=192.168.1.2 If this option is not given, the program starts as a stand-alone game that does not try to connect to any server.

--port=PORT
    UDP port number on which the BurgerSpace server is running. This option is only useful with --server. The default is @DEFAULT_UDP_SERVER_PORT@.

LICENSE
This program is free software; you may redistribute it under the terms of the GNU General Public License version 2 or any later version. This program has absolutely no warranty.

AUTHORS
Pierre Sarrazin (code)
Luce St-Amand (most images)

FILES
This program uses the flatzebra library, by the same author. This library is itself based on the SDL graphics library (see http://www.libsdl.org).

See the BurgerSpace Home Page:
http://sarrazip.com/dev/burgerspace.html